/************************************************************* 


   FILE :   send_ping.c 


   WRITTEN :  
         by     Stan Green 
         on     Jun 3, 1995



*************************************************************/ 


#include "send_ping.h"



/************************************************************* 
 FUNCTION : send_ping  

 PURPOSE : send the ping out.
            Code modified from the ping program.

 RETURNS : 


 VARIABLES : 

 NAME          LOCATION          DESCRIPTION 
 s             argument          socket to send ping out on
 host          argument          host to ping, in network byte order

*************************************************************/ 

extern int packsize;
extern struct sockaddr_in dest;
extern u_char sendpack[64];

int send_ping(s, host) 
int s;
unsigned int host;
{ 

   register struct icmp *icp;    /* ICMP header */

   /*
    * Fill in the ICMP header info specific for this ping.
    */

   icp = (struct icmp *) sendpack;  /* pointer to ICMP header */
   icp->icmp_cksum = 0;      /* init to 0, then call in_cksum() below */

#ifdef _DEBUG_
   fprintf(stderr, "send_ping() icmp_id = %d\n", icp->icmp_id);
#endif
   
   dest.sin_addr.s_addr = host;  /* Set the address for this packet */
   
   /*
    * Add the time stamp of when we sent it.
    * gettimeofday(2) is a BSD system call that returns the current
    * local time through its first argument.  The second argument is
    * for time zone information, which we're not interested in.
    */

    
    gettimeofday((struct timeval *) &sendpack[SIZE_ICMP_HDR],
              (struct timezone *) 0);

   /*
    * Compute and store the ICMP checksum (now that we've filled
    * in the entire ICMP packet).  The checksum includes the ICMP
    * header, and the time stamp.
    */
   
   icp->icmp_cksum = in_cksum((u_short *)icp, packsize);

   /*
    * Now send the datagram.
    */

   if (packsize != sendto(s, sendpack, packsize, 0,
			  (struct sockaddr *) &dest, sizeof(dest))) {
      perror("sendto problem");
      return 1;
   };

   return 0;
} 
