.TH SONARD 1 "20 OCTOBER 1995"
.SH NAME
sonard \- SONAR Network Proximity Server
.SH SYNOPSIS
\fBsonard\fP [-v] [-m\fImask\fP]
.SH DESCRIPTION
\fBsonard\fP answers requests for network proximity using the SONAR
protocol.  This implementation uses ICMP echo requests to estimate
network proximity.  Typically, one host running \fBsonard\fP will
serve all proximity requests for a local network.

\fBsonard\fP has the capability to use masks to limit queries to local
networks.  Masks can be specified on the command line or in
\fB/etc/sonardrc\fP.  If no masks are specified, \fBsonard\fP uses the
netmask(s) of the network interfaces on the host machine.

Masks are specified by giving the IP address and the number of
significant bits in the address  (eg. The mask 192.169.94.0/24 would give
all hosts in the specified class C network access to the server).
.SS Options
.TP
\fB-v\fP
Prints the SONAR protocol version supported by the server and exits.
.TP
\fB-m\fImask\fR
Use the specified mask instead of the mask(s) in \fB/etc/sonardrc\fP.
.SH FILES
.TP
\fB/etc/sonardrc\fP
The sonard configuration file.  Currently, the only options are masks.
To add them, use the keyword "mask" and then the desired mask in the format
described above.
.SH "SEE ALSO"
rc_server(1), rcdspp(1).
.SH BUGS
On some machines (BSDI, FreeBSD, others?), sonard cannot find all of the
available networks when setting the default masks.  As a result,
masks will have to be manually specified in
\fB/etc/sonardrc\fP
or on the command line.
