#include "update_node.h"


/*
 * update_node
 *
 * Description: This function sets the round-trip time for the host in
 *              the hash table.  It also checks for waiting clients and
 *              sends a response to the client is not waiting for anymore
 *              host times.
 */
void
update_node(host, triptime, now_time, s)
unsigned int host;
struct timeval *triptime;
int now_time;
int s;
{
    extern Hash host_data;
    Hash_node x;
    unsigned int metric;

    x = hash_find(host_data, hash_index(host), host);
    if (x) {
	if (triptime) {
	    metric = 1 + (triptime->tv_sec * 1000000) + triptime->tv_usec;
	}
	else
	    metric = 0;
	
	x->metric = metric;
	x->time_obtained = now_time;
	
	/* notify client */
	while (x->clients_waiting) {
	    x->clients_waiting->client->reqs_left--;
	    if (x->clients_waiting->client->reqs_left == 0) {
		do_response(s, x->clients_waiting->client, 0);
		client_delete(x->clients_waiting->client);
	    }
	    client_update_delete(&(x->clients_waiting),
				 x->clients_waiting->client);
	}
    }
}
